
## Internet flowchart

```mermaid
flowchart TD

    LXD["lxd.home.arpa\nJapan"]
    LXD --> CONTAINERS{"Containers *.benpro.fr"}
    CONTAINERS --> MULLVAD[Mullvad VPN\nJapan]
    MULLVAD --> CF[Cloudflare\nArgo Tunnel]
    CF --> INTERNET[Internet]

    MANUAL[Manual setup\nDocker+Mailcow] --> MAIL
    MAIL[mail.benpro.fr] --> HETZNER[Hetzner\nFinland]
    HETZNER --> INTERNET

    DNS[dns.benpro.fr] --> EC2[AWS EC2\nJapan]
    EC2 --> INTERNET

    PYINFRA[pyinfra] --> |Infrastructure as code| DNS
    PYINFRA[pyinfra] --> |Infrastructure as code| LXD

    YOU[Curious visitor] --> INTERNET
```

## VPN port allocation

```mermaid
flowchart LR

    INTERNET[Internet] --> SSH[ssh.benpro.fr]
    SSH --> MULLVAD
    MULLVAD[Mullvad VPN\njp8-wireguard] --> JPTYO{JP-TYO}
    JPTYO --> PORT_54902[Port 54902]
    JPTYO --> PORT_56754[Port 56754]
    PORT_54902 --> LXD[lxd.home.arpa]
    PORT_56754 --> LXD
    LXD --> |Port 54902| GIT[Container git:22]
    LXD --> |Port 56754| CHOWME[Container chownme:22]
```

## Backups flowchart

```mermaid
flowchart TD

    DESKTOP["chiisai.home.arpa\nJapan"] --> |borg| BORGBASEUSA
    DESKTOP --> |borg| BORGDANIEL

    LXD["lxd.home.arpa\nJapan"] --> |lxd export| HDD
    HDD --> |borg| BORGBASEUSA[borgbase.com\nUSA]
    HDD --> |borg| BORGDANIEL[TODO: chown.me\nCanada]

    MAIL[mail.benpro.fr] --> |borg| BORGBASEDE[borgbase.com\nGermany]
    MAIL --> |borg| BORGDANIEL
```

## Syncthing flowchart

```mermaid
flowchart LR

    subgraph Smartphone
    SMARTPHONE[Smartphone] --> SMARTPHONE_FOLDERS{Folders}
    SMARTPHONE_FOLDERS --> SMARTPHONE_FOLDERS_DCIM[DCIM]
    SMARTPHONE_FOLDERS --> SMARTPHONE_FOLDERS_PICTURES[Pictures]
    SMARTPHONE_FOLDERS_DCIM --> SMARTPHONE_FOLDERS_DCIM_CAMERA[Camera]
    SMARTPHONE_FOLDERS_PICTURES --> SMARTPHONE_FOLDERS_PICTURES_ADOBELIGHTROOM[AdobeLightroom]
    end
    
    subgraph Desktop
    DESKTOP[Desktop] --> DESKTOP_FOLDERS{Folders}
    DESKTOP_FOLDERS --> DESKTOP_FOLDERS_HOME[home]
    DESKTOP_FOLDERS_HOME --> DESKTOP_FOLDERS_HOME_PICTURES[Pictures]
    DESKTOP_FOLDERS_HOME_PICTURES --> DESKTOP_FOLDERS_HOME_PICTURES_SMARTPHONE[Smartphone]
    DESKTOP_FOLDERS_HOME_PICTURES_SMARTPHONE --> DESKTOP_FOLDERS_HOME_PICTURES_SMARTPHONE_CAMERA[Camera]
    DESKTOP_FOLDERS_HOME_PICTURES_SMARTPHONE --> DESKTOP_FOLDERS_HOME_PICTURES_SMARTPHONE_ADOBELIGHTROOM[AdobeLightroom]
    DESKTOP_FOLDERS_HOME_PICTURES -. Manual move .-> DESKTOP_FOLDERS_HOME_PICTURES_GALLERY[gallery.benpro.fr]
    CAMERA{{Camera SD Card}} -. Manual move .-> DESKTOP_FOLDERS_HOME_PICTURES_SDCARD
    DESKTOP_FOLDERS_HOME_PICTURES --> DESKTOP_FOLDERS_HOME_PICTURES_TABLET[Tablet]
    DESKTOP_FOLDERS_HOME_PICTURES_TABLET --> DESKTOP_FOLDERS_HOME_PICTURES_TABLET_ADOBELIGHTROOM[AdobeLightroom]
    DESKTOP_FOLDERS_HOME_PICTURES --> DESKTOP_FOLDERS_HOME_PICTURES_SDCARD[CameraSDCard]
    DESKTOP_FOLDERS_HOME_PICTURES_SDCARD -. Manual upload .-> ADOBECLOUD[(Adobe Cloud)]
    end

    subgraph Tablet
    TABLET[Tablet] --> TABLET_FOLDERS{Folders}
    TABLET_FOLDERS --> TABLET_FOLDERS_PICTURES[Pictures]
    TABLET_FOLDERS_PICTURES --> TABLET_FOLDERS_PICTURES_ADOBELIGHTROOM[AdobeLightroom]
    end

    SMARTPHONE_FOLDERS_DCIM_CAMERA <--> DESKTOP_FOLDERS_HOME_PICTURES_SMARTPHONE_CAMERA
    SMARTPHONE_FOLDERS_PICTURES_ADOBELIGHTROOM <--> DESKTOP_FOLDERS_HOME_PICTURES_SMARTPHONE_ADOBELIGHTROOM
    TABLET_FOLDERS_PICTURES_ADOBELIGHTROOM <--> DESKTOP_FOLDERS_HOME_PICTURES_TABLET_ADOBELIGHTROOM
```